Bug 1186791 - Please make bind-utils use Python 3 instead of Python 2
Summary: Please make bind-utils use Python 3 instead of Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-28 14:38 UTC by Bohuslav "Slavek" Kabrda
Modified: 2015-02-26 10:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-26 10:31:51 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2015-01-28 14:38:15 UTC
Hi, as per the "Python 3 as Default" [1] change for F22, I'd like to ask you to use Python 3 instead of Python 2 in bind-utils. The dependency on Python is there because of one or more Python scripts that have #!/usr/bin/python hashbangs - these should be changed to point to /usr/bin/python3 (macro %__python3).

The Python guidelines change that deals with the switch to Python 3 [2] was accepted yesterday and states: "If only one executable is to be shipped, then it owns its own slot and should use /usr/bin/python3 from Fedora 22 on."

Thanks!

[1] http://fedoraproject.org/wiki/Changes/Python_3_as_Default
[2] https://fedoraproject.org/wiki/Packaging:Python#Naming

Comment 1 Tomáš Hozza 2015-01-29 09:33:08 UTC
There are two python scripts distributed in bind-utils:
dnssec-checkds
dnssec-coverage

I'll test them with Python3...

Comment 2 Tomáš Hozza 2015-02-25 12:26:22 UTC
(In reply to Tomas Hozza from comment #1)
> There are two python scripts distributed in bind-utils:
> dnssec-checkds
> dnssec-coverage

utilities switched to Python3 in bind-9.10.2-0.3.rc2.fc23 and bind-9.10.2-0.3.rc2.fc22

One small patch sent to upstream.

[ISC-Bugs #38710] Python3 issue: print used as a statement in dnssec-coverage.py


Note You need to log in before you can comment on or make changes to this bug.